U++ - Bug #1159
cpp: '~' symbol used in destruction is not properly detected
06/29/2015 12:11 AM - Zbigniew Rebacz

Status: Approved Start date: 06/29/2015
Priority: Normal Due date:

Assignee: Miroslav Fidler % Done: 0%
Category: Assist++ Estimated time: 0.00 hour
Target version: Release 2015.2 Spent time: 0.00 hour
Description

Start writing destructor implementation outside class it will never be detected.

For example:

void AndroidBuilder::~(no destructor auto completed)

History

#1 - 08/27/2015 08:25 AM - Miroslav Fidler
- Target version set to Release 2015.2

#2 - 08/28/2015 10:45 AM - Miroslav Fidler
- Category changed from IDE to Assist++

#3 - 08/31/2015 09:19 PM - Zbigniew Rebacz

Of course destructor doesn’t return void. Sorry for the misunderstanding. It should be

AndroidBuilder::~(no destructor auto completed)

#4 - 09/14/2015 08:19 PM - Miroslav Fidler
- Status changed from New to Approved
